Bug 222442 - daemon fails to start: invalid syntax in rhpl/__init__.py ?
daemon fails to start: invalid syntax in rhpl/__init__.py ?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rhpl (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-12 10:46 EST by Tom London
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-15 10:24:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2007-01-12 10:46:38 EST
Description of problem:
After updating to setroubleshoot-1.8.14-1.fc7, it fails to start on reboot.

Starting manually produces: 

[root@localhost ~]# setroubleshootd -f
Traceback (most recent call last):
  File "/usr/sbin/setroubleshootd", line 71, in <module>
    from setroubleshoot.server import RunFaultServer
  File "/usr/lib/python2.5/site-packages/setroubleshoot/server.py", line 35, in
<module>
    from setroubleshoot.analyze import *
  File "/usr/lib/python2.5/site-packages/setroubleshoot/analyze.py", line 35, in
<module>
    from setroubleshoot.avc_audit import *
  File "/usr/lib/python2.5/site-packages/setroubleshoot/avc_audit.py", line 36,
in <module>
    from setroubleshoot.signature import AVC, AvcContext
  File "/usr/lib/python2.5/site-packages/setroubleshoot/signature.py", line 62,
in <module>
    from rhpl.translate import _
  File "/usr/lib/python2.5/site-packages/rhpl/__init__.py", line 41
    'PS3PF'    : 'PS3'
               ^
SyntaxError: invalid syntax
[root@localhost ~]# 


Version-Release number of selected component (if applicable):
setroubleshoot-1.8.14-1.fc7

How reproducible:
Every time

Steps to Reproduce:
1. start setroubleshootd
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 John Dennis 2007-01-12 14:21:24 EST
This is not a problem with setroubleshoot, rather with the package rhpl,
specifically rhpl-0.200-1 introduced a bug, line 40 in __init__.py is missing a
comma. Reassigning to rhpl.
Comment 2 Tom London 2007-01-15 10:24:50 EST
Fixed in rhpl-0.201-2.

Note You need to log in before you can comment on or make changes to this bug.